Item Logo
Yms apiReceipt controller

POST Create Receipt

POST Create receipt

Introduction

Create a new receipt record in the YMS system. This API allows you to submit receipt information including carrier, customer, equipment details, item lines, appointment data, and dynamic field values. The receipt will be registered and assigned a unique identifier upon successful creation.

POST /public/receipt/create

Body Request Parameters

Request Parameters

Name

Location

Type

Required

Description

X-Tenant-ID

header

string

No

none

X-Yard-ID

header

string

No

none

Item-Time-Zone

header

string

No

none

Authorization

header

string

No

none

Item-Bam-Client

header

string

No

none

x-facility-id

header

string

No

none

body

body

object

No

none

» receiptType

body

string

Yes

Receipt type. Allowed values: REGULARRECEIPT, MATERIALRECEIVE, RETURN

» poNo

body

string

Yes

Purchase order number (Required)

» carrierId

body

string

No

Carrier ID

» externalCarrierId

body

string

No

External carrier identifier from external systems

» customerId

body

string

No

Customer ID

» referenceNo

body

string

Yes

Reference number

» equipmentType

body

string

No

Equipment type. Allowed values: VEHICLE, TRAILER, CHASSIS, CONTAINER, FLATBED, OTHER

» equipmentNo

body

string

No

Equipment number (Required)

» totalPalletQty

body

integer

No

Total pallet quantity

» itemLines

body

[ItemInfo]

No

Item information list

»» itemId

body

string

No

Item identifier

»» itemName

body

string

No

Item name

»» itemQty

body

string

No

Item quantity

»» palletQty

body

string

No

Item pallet Qty

»» itemSpecDesc

body

string

No

Item spec desc

»» itemSpecName

body

string

No

Item spec name

»» uomId

body

string

No

item uomId

»» qty

body

string

No

qty

» appointmentTime

body

string

No

Appointment time (Required)

» appointmentId

body

string

No

Appointment ID

» sealNo

body

string

No

none

» dataChannel

body

string

No

Data source channel

» eventTime

body

string

No

Event time for idempotency control

» extraData

body

string

No

Extra data in JSON format

» carrierName

body

string

No

Carrier name

» customerName

body

string

No

Customer name

» dynamicFieldValues

body

[object]

No

Dynamic field values

»» fieldCode

body

string

Yes

Field code

»» value

body

string

No

none

»» values

body

[string]

No

Multi-select value list, takes priority over value

» preferenceLocationType

body

string

No

Preference location type (SPOT / DOCK / null)

Detailed Description

» receiptType: Receipt type (Required)

Enum Values

Property

Value

» receiptType

REGULAR_RECEIPT

» receiptType

MATERIAL_RECEIVE

» receiptType

RETURN

» equipmentType

VEHICLE

» equipmentType

TRAILER

» equipmentType

CHASSIS

» equipmentType

CONTAINER

» equipmentType

FLATBED

» equipmentType

OTHER

» dataChannel

YMS

» dataChannel

WMS

» dataChannel

OMS

» dataChannel

TMS

» dataChannel

FMS

» preferenceLocationType

SPOT

» preferenceLocationType

DOCK

Response Example

200 Response

Response

Status Code

Definition

Description

Data Model

200

OK

none

RReceiptView